@import '~scss/styles';

$semi-transparant-white-bg-color: rgba(255, 255, 255, 1);

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -1px;
}

.root-drop-down {
  position: relative;
  top: 3px;
  right: -10px;
}

.drop-down-sub-cat{
  left: 0!important;
}

.filter-container {
  margin-top: 70px;
  margin-bottom: 70px;
}

.line-seperator {
  position: absolute;
  left: -50%;
  width: 150vw;
  top: 90px;
  height: 2px;
  border: solid 1px #d1d1d1;
  overflow: hidden;
  }

.filter {
  border-radius: 1px;
  border: solid 1px #d1d1d1;
  min-width: 150px;
  width: 100%;
  font-family: Rubik;
  font-size: 18px;
  font-weight: 600;
  padding-right: 5px;
  background-color: $semi-transparant-white-bg-color;

  &:hover{
    box-shadow: 0 0 0 0;
    background-color: #dcefea;
  }
}
.filter-drop-down {
  padding-right: 35px;

}

.drop-down-btn {
  width: 100%;
  text-align: start;
  border-bottom: solid 1px #d1d1d1;
  border-radius: 0px;
  padding-bottom: 36px;
}

.drop-down-btn:active{
  color: #FFF;
  background-color: #8a8a8a
}

.btn:focus, .btn.focus, .btn:active {
  outline: none !important;
  box-shadow: none;
}

 .dropdown-menu{
   padding: 0;
   min-width: 300px;
  max-width: 80%;
 }

 .dropdown-item{
  padding: 10px 16px;
  font-family: Rubik;
 }

 .sub-card{
   padding: 0;
 }

 .dropdown-toggle::after {
   display: none;
 }

 label{
   margin-bottom: 0;
 }

 .top-cat-toggl{
   display: none;
 }

 .expand-btn{
    width: 30px;
    right: 5px;
    border-radius: 0;
    cursor: pointer;
    position: absolute;
    top: 0;
    height: 100%;
    background-color: transparent;
    border: none;
    border-left: 1px solid #e6e6e6;
 }

 .industry-btn{
   border: 0px;
   text-align: left;
   cursor: pointer;
 }

 .btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active, .show > .btn-secondary.dropdown-toggle {
  background-color: #ffd944;
  color: #222222;
  border: solid 1px #d1d1d1;
 }

 /* The container */
.container {
  display: block;
  position: relative;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 40px;
  cursor: pointer;
  font-size: 16px;
  font-family: Rubik;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border-bottom: 1px solid #d1d1d1;
}

.sub-container {
  padding-left: 70px;
}

/* Hide the browser's default checkbox */
.container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 13px;
  left: 0;
  margin-left: 10px;
  height: 18px;
  width: 18px;
  border: solid 1px #4cceac;
}

.s-checkmark{
  left: 30px;
}

/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #4cceac;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
  left: 6px;
  top: 0px;
  width: 5px;
  height: 12px;
  border: solid white;
  border-width: 0 1px 1px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

